Bug 1002343 - Overlong key names are not null-terminated
Overlong key names are not null-terminated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-xkb-utils (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Hutterer
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 20:06 EDT by Peter Hutterer
Modified: 2014-03-05 00:07 EST (History)
0 users

See Also:
Fixed In Version: xorg-x11-xkb-utils-7.7-8.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-05 00:07:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 66345 None None None Never

  None (edit)
Description Peter Hutterer 2013-08-28 20:06:14 EDT
Description of problem:
From https://bugs.freedesktop.org/show_bug.cgi?id=66345

XKB key names are limited to four octets.  Initially I didn't know that,
and tried to use longer names, like this:

$ cat t0.xkb
xkb_keymap {
xkb_keycodes "test_keycodes" {
        minimum = 8;
        maximum = 255;
        <FOOBAR> = 10;
};
xkb_types "complete" { include "complete" };
xkb_compatibility "complete" { include "complete" };
xkb_symbols "us" { include "us" };
xkb_geometry "kinesis" { include "kinesis" };
};
$ xkbcomp t0.xkb t0.xkm
syntax error: line 5 of t0.xkb
last scanned symbol is: FOOBARm
Errors encountered in t0.xkb; not compiled.


Version-Release number of selected component (if applicable):
xorg-x11-xkb-utils-7.7-7.el7
Comment 2 Peter Hutterer 2013-08-29 00:45:22 EDT
MODIFIED

xorg-x11-xkb-utils-7.7-8.el7 is available in brew

Note You need to log in before you can comment on or make changes to this bug.